Grand Master Rains:
Elven Scouts are the sentries of the forest, and have protected the Elven home from invaders for thousands of years. Since their footsteps are lighter than feathers, they can walk and run over the fallen leaves without making any noise as they approach their opponents. They suddenly launch fatal attacks with bows or daggers, then disappear as if into thin air as they blend into the forest. The most talented Elven Scouts are selected as Plainswalker, the Ranger elite. Others among the Elven Scouts are selected as Silver Rangers, and train in the utmost mastery of archery. Of course, much hard training, as well as great talent, is required. To become an Elven Scout, you must pass the test and bring back Reisa's Recommendation as proof.
Ask about Master Reisa's Recommendation
Return